{% extends 'base.html' %}
{% from 'macros.html' import delete_button %}
{% block content %}
<h1 class="display-4">Files</h1>
<div class="row">
  <div class="col-sm-4">
    <div class="card">
      <div class="card-header">Upload File</div>
      <div class="card-body">
        <form method="post" enctype="multipart/form-data" action="{{url_for('files.show')}}">
          <div class="form-group required">
            <label class="form-control-label" for="file">File</label>
            <input class="form-control"  id="file" name="file" required="" type="file" value=""></input>
          </div>
          <input class="btn btn-primary" id="upload" name="upload" type="submit" value="Upload"></input>
        </form>
      </div>
    </div>
  </div>
  <div class="col-sm-8">
    <div class="card">
      <div class="card-header">Files</div>
      <div class="card-body">
        {% if files %}
        <ul class="list-group list-group-flush">
          {% for file in files %}
          <li class="list-group-item">
            {{file}} {{ delete_button(url_for('files.delete', file=file), file) }}
          </li>
          {% endfor %}
          {% else %}
            No files uploaded
          {% endif %}
        </ul>
      </div>
    </div>
  </div>
</div>
{% endblock %}
